// NF Client class header
#pragma once

#include "nf/config.h"
#include "Window.h"
#include "render/RenderEngine.h"

namespace nf::cli {
    class Client {
    public:
        Client(ClientConfig config);

        void run();
    private:
        ClientConfig m_config;
        Window m_window;
        render::RenderEngine m_renderEngine;
    };
}
